## g3data 1.4.0

=== Makefile ===
CC=gcc
CFLAGS=-Wall `pkg-config --cflags gtk+-2.0`
LIBS=`pkg-config --libs gtk+-2.0`
bindir ?= /usr/bin

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $<

g3data: main.o sort.o points.o drawing.o
	$(CC) $(CFLAGS) -o g3data main.o sort.o points.o drawing.o $(LIBS)
	strip g3data

main.o: main.c main.h strings.h

sort.o: sort.c main.h

points.o: points.c main.h

drawing.o: drawing.c main.h

clean:
	rm *.o g3data

install:
	install g3data $(bindir)

uninstall:
	rm $(bindir)/g3data

## g3data 1.4.0.1

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 CFLAGS=-Wall `pkg-config --cflags gtk+-2.0`
 LIBS=`pkg-config --libs gtk+-2.0`
 bindir ?= /usr/bin
+mandir ?= /usr/share/man
 
 .c.o:
 	$(CC) -c $(CFLAGS) $(CPPFLAGS) $<
@@ -23,6 +24,7 @@
 
 install:
 	install g3data $(bindir)
+	install g3data.1.gz $(mandir)/man1
 
 uninstall:
 	rm $(bindir)/g3data

## g3data 1.5.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 .c.o:
 	$(CC) -c $(CFLAGS) $(CPPFLAGS) $<
 
-g3data: main.o sort.o points.o drawing.o
+g3data: main.o sort.o points.o drawing.o g3data.1.gz
 	$(CC) $(CFLAGS) -o g3data main.o sort.o points.o drawing.o $(LIBS)
 	strip g3data
 
@@ -19,8 +19,14 @@
 
 drawing.o: drawing.c main.h
 
+g3data.1.gz: g3data.sgml
+	rm -f *.1
+	onsgmls g3data.sgml | sgmlspl /usr/share/sgml/docbook/utils-0.6.14/helpers/docbook2man-spec.pl
+	mv *.1 g3data.1
+	gzip g3data.1
+
 clean:
-	rm *.o g3data
+	rm -f *.o g3data g3data.1.gz *~ manpage.*
 
 install:
 	install g3data $(bindir)

## g3data 1.5.1

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	$(CC) $(CFLAGS) -o g3data main.o sort.o points.o drawing.o $(LIBS)
 	strip g3data
 
-main.o: main.c main.h strings.h
+main.o: main.c main.h strings.h vardefs.h
 
 sort.o: sort.c main.h

## g3data 1.5.3

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,6 @@
 g3data.1.gz: g3data.sgml
 	rm -f *.1
 	onsgmls g3data.sgml | sgmlspl /usr/share/sgml/docbook/utils-0.6.14/helpers/docbook2man-spec.pl
-	mv *.1 g3data.1
 	gzip g3data.1
 
 clean:

=== debian/changelog ===
g3data (1:1.5.3-4) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0 (quilt).
  * d/copyright: Convert to machine-readable format.
  * d/control: Set new Homepage.
  * d/watch: Scan GitHub tags.
  * Drop old menu file.

 -- Bastian Germann <bage@debian.org>  Sun, 27 Aug 2023 23:08:42 +0200

g3data (1:1.5.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999267).

 -- Marcos Talau <talau@debian.org>  Wed, 02 Nov 2022 19:47:41 -0300

g3data (1:1.5.3-3) unstable; urgency=medium

  * Bug fix FTCBFS, thanks to Helmut Grohne <helmut@subdivi.de> for the
    bug report and patch; apologies for letting it sit there for 3 years!
    + Let dh_auto_build pass cross compilers to make.
    + Use a triplet-prefixed pkg-config.
    (Closes: #864553)

 -- Peter S Galbraith <psg@debian.org>  Sun, 17 May 2020 13:14:54 -0400

g3data (1:1.5.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Makefile: Link with -lm. (Closes: #713719)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Jul 2013 22:07:35 +0200

g3data (1:1.5.3-2) unstable; urgency=low

  * Bug fix: "please add a desktop file and an icon", thanks to Ilya B
    Applied Ubuntu patch (Closes: #530865).
  * Moved homepage URL to control header.
  * Lintian fixes:
    - debhelper was set in rules instead of by compat file.
    - "-$(MAKE) clean" was used.
    - Standards-Version: 3.8.3
    - Change menu entry to "Applications/Science/Data Analysis"
  
 -- Peter S Galbraith <psg@debian.org>  Mon, 16 Nov 2009 13:17:41 -0500

g3data (1:1.5.3-1) unstable; urgency=low

  * New upstream release. "please package new upstream version (1.5.3)",
    thanks to Francesco Poli (Closes: #525485).
  * Bug fix: "Beeps in an annoying fashion", thanks to Francesco Poli
    (Closes: #359343).

 -- Peter S Galbraith <psg@debian.org>  Thu, 14 May 2009 22:11:08 -0400

g3data (1:1.5.1-1) unstable; urgency=low

  * New upstream release

 -- Peter S Galbraith <psg@debian.org>  Mon, 16 Apr 2007 21:55:31 -0400

g3data (1:1.5.0-2) unstable; urgency=low

  * Bug fix: "g3data: not present in the X menus ", thanks to Francesco
    Potorti` for reporting it.  g3data now starts up without error when no
    filename is provided as argument, so I implement the menu.
    (Closes: #139482).

 -- Peter S Galbraith <psg@debian.org>  Wed, 12 Oct 2005 19:51:48 -0400

g3data (1:1.5.0-1) unstable; urgency=low

  * New upstream release.  Thanks to Mathias Weyland (Closes: #332789).
  * Bug fix: "g3data: Weg page has moved", (Closes: #329218).
  * Standards-Version: 3.6.2 without changes.
  * No longer build-depend on imagemagick because it now ships with PNG
    files instead of GIF.
  
 -- Peter S Galbraith <psg@debian.org>  Wed, 12 Oct 2005 18:55:15 -0400

g3data (1:1.4.0.1-1) unstable; urgency=low

  * New upstream release (merges-in man page provided uptream, thanks!)
  * Removed debian/g3data.sgml since now merged in package upstream.
  * Bug fix: "g3data: 404 on http link in the package description", thanks
    to Fabrice Lorrain for reporting it and providing the new URL, now
    used in the copyright and package description (Closes: #269136).

 -- Peter S Galbraith <psg@debian.org>  Tue, 14 Dec 2004 22:12:00 -0500

g3data (1:1.4.0-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "g3data window too big", thanks to Cristiano De Michele for
    reporting.  The author removed some options to adhere to the HIG standard
    and the window now fits within a 1024x768 screen (Closes: #207299).
  * Updated man page for new options.
  * Standards-Version: 3.6.1 without changes.

 -- Peter S Galbraith <psg@debian.org>  Tue, 14 Oct 2003 20:29:28 -0400

g3data (1:1.2.0-1) unstable; urgency=low

  * New upstream release (closes: #177825)

 -- Peter S Galbraith <psg@debian.org>  Wed, 29 Jan 2003 22:13:59 -0500

g3data (1:1.1.4-1) unstable; urgency=low

  * New upstream release, build-depends on GTK2
  * This new version has a small window height, so should fit in 1024x768
    resolution (closes: #172843)
  * Bump Standards-Version to 3.5.8
  * Added docs for new -scroll options to man page.

 -- Peter S Galbraith <psg@debian.org>  Mon, 16 Dec 2002 20:31:58 -0500

g3data (1.08-1) unstable; urgency=low

  * New upstream release:
     This is actually upstream version 1.0.8 (a new numbering scheme).
      I'll use the new upstream numbering scheme for the debian package
      when 1.2.0 is released.
     Fixes memory leak in gdk-pixbuf (closes:  #140270).
     Enhancement: Adjusted the format for writing out results in case of
      very small numbers (%f -> %g).
  
 -- Peter S Galbraith <psg@debian.org>  Thu, 28 Mar 2002 09:38:25 -0500

g3data (1.06-2) unstable; urgency=low

  * debian/rules: Add `gdk-pixbuf-config --cflags` to CFLAGS.
    gkd-pixbuf-dev has changed and moved the include files down one
    level in /usr/include.  Thanks to Anders Lennartsson <abel@foi.se> for
    finding this building bug and sending me a fix as well.

 -- Peter S Galbraith <psg@debian.org>  Mon, 21 Jan 2002 09:03:20 -0500

g3data (1.06-1) unstable; urgency=low

  * Initial Release.
  * Close the ITP bug against wnpp (closes: #113471)
  * debian/g3data.sgml:  Man page created for g3data command.
  * convert upstream GIF examples to PNG format. 

 -- Peter S Galbraith <psg@debian.org>  Tue, 25 Sep 2001 13:19:39 -0400

=== debian/control ===
Source: g3data
Section: science
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), libgtk2.0-dev, docbook-to-man
Standards-Version: 3.8.3
Homepage: https://github.com/pn2200/g3data

Package: g3data
Architecture: any
Depends: ${shlibs:Depends}
Description: extract data from scanned graphs
 g3data is used for extracting data from graphs.  For example, graphs
 are typically published in scientific journals without tables of the
 actual data; g3data makes the process of extracting these data easy.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
export PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config

CFLAGS=-Wall `$(PKG_CONFIG) --cflags gtk+-2.0`
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif
# `nostrip' handled by dh_strip...

build: build-stamp
build-stamp:
	dh_testdir
	docbook-to-man g3data.sgml > g3data.1
	gzip --best g3data.1
	dh_auto_build -- CFLAGS="$(CFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f g3data.1*
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs usr/bin
	# Add here commands to install the package into debian/g3data.
	install -m 755 g3data debian/g3data/usr/bin
	mkdir -p debian/g3data/usr/share/pixmaps/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples test*
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman g3data.1.gz
	dh_install debian/g3data.desktop usr/share/applications
	dh_install debian/g3data.png usr/share/pixmaps
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=4
https://github.com/pn2200/g3data/tags .*/tags/v([\d\.]+)\.tar\.gz

## g3data 1.08

=== Makefile ===
CC=gcc 
CFLAGS=-Wall `gtk-config --cflags` -I/usr/include/gdk-pixbuf-1.0/
LIBS=`gtk-config --libs` -lgdk_pixbuf

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $<

g3data: g3data.o
	$(CC) $(CFLAGS) -o g3data g3data.o $(LIBS)
	strip g3data

g3data.o: g3data.c tooltips.h

clean:
	rm *.o g3data

install:
	cp g3data /usr/local/bin

uninstall:
	rm /usr/local/bin/g3data
